#!/bin/ksh




CRREWPRMPT001="Wprowadź instancję produktu DB2, która ma być używana na komputerze 'hostname':"
CRREWPRMPT002="Wprowadź nazwę bazy danych do utworzenia:"
CRREWPRMPT003="Wprowadź nazwę użytkownika, który ma być używany do nawiązywania połączenia z bazą danych:"
CRREWPRMPT004="Wprowadź hasło dla tego użytkownika:"
CRREWPRMPT005="Wprowadź schemat, w którym będzie budowana operacyjna składnica danych:"
CRREWPRMPT006="Wprowadź schemat, w którym będzie budowany schemat gwiaździsty:"
CRREWPRMPT007="Wprowadź nazwę użytkownika, który będzie nawiązywał połączenie i uruchamiał raporty:"
CRREWPRMPT008="Podaj katalog podstawowy dla plików obszaru tabel:"
CRREWPRMPT009="Wprowadź najwcześniejszy rok, który może zostać użyty do zapełnienia wymiaru daty:"
CRREWPRMPT010="Wprowadź najpóźniejszy rok, który może zostać użyty do zapełnienia wymiaru daty:"
CRREWPRMPT011="Wprowadź typ kalendarza dla wymiaru daty: [1] dla gregoriańskiego, [2] dla ISO:"
CRREWPRMPT012="Wprowadź wartość 1 dla wersji 10G lub 2 dla wersji 11G, aby określić wersję działającego produktu Oracle:"
CRREWPRMPT013="Wprowadź wartość dla parametru ORACLE_HOME:"
CRREWPRMPT014="Wprowadź wartość dla parametru ORACLE_BASE:"
CRREWPRMPT015="Wprowadź nazwę [SID] bazy danych do utworzenia; maksymalna długość nazwy wynosi 8 znaków:"
CRREWPRMPT016="Wprowadź hasło dla konta SYS:"
CRREWPRMPT017="Wprowadź hasło dla konta SYSTEM:"
CRREWPRMPT018="Wprowadź hasło dla konta SYSMAN:"
CRREWPRMPT019="Wprowadź hasło dla konta DBSNMP:"
CRREWPRMPT020="Wprowadź nazwę użytkownika w celu utworzenia konta DBA:"
CRREWPRMPT021="Wprowadź hasło użytkownika dla konta DBA:"
CRREWPRMPT022="Wprowadź hasło użytkownika dla konta, które będzie używane do nawiązywania połączenia i uruchamiania raportów:"
CRREWPRMPT023="Wprowadź instancję serwera SQL, która ma być używana na komputerze 'hostname'.  Jeśli nie określono żadnej wartości, zostanie użyta instancja domyślna: "
CRREWPRMPT024="Podaj katalog główny instancji, np. c:/Microsoft SQL Server/MSSQL.1:"
CRREWPRMPT025="Wprowadź nazwę użytkownika, który ma zostać utworzony w celu nawiązywania połączenia ze składnicą treści:"
CRREWPRMPT026="Wprowadź hasło dla użytkownika składnicy treści:"
CRREWPRMPT027="Podaj katalog główny Java, np. "C:/Program Files/IBM/Installation Manager/eclipse/jre_5.0.3.sr8a_20080811b/jre":"



CRREWECH001="Instalacja bazy danych DB2"
CRREWECH002="Trwa wychodzenie!!!"
CRREWECH003="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/createdb.log"
CRREWECH004="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/bufferpool.log"
CRREWECH005="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/tbspace.log"
CRREWECH006="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/createSTGCFG.log"
CRREWECH007="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/createNF.log"
CRREWECH008="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/createSTAR.log"
CRREWECH009="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/createSTARViews.log"
CRREWECH010="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/initCONFIG.log"
CRREWECH011="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/initNF.log"
CRREWECH012="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/initSTAR.log"
CRREWECH013="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/star_grants.log"
CRREWECH014="Sprawdź komunikaty o błędach w plikach '$PWD'/logs/populate-D_DATE.log oraz '$PWD'/logs/dtPopulate.log"
CRREWECH015="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/sampledw_obj.log"
CRREWECH016="Przejrzyj plik '$PWD'/IMPORT.out"
CRREWECH017="Instalacja bazy danych Oracle"
CRREWECH018="Przed kontynuowaniem należy określić parametry ORACLE_HOME oraz ORACLE_BASE"
CRREWECH020="Informacje można znaleźć w pliku '$PWD'/logs/createDBService.log "
CRREWECH021="Przed kontynuowaniem podaj inny identyfikator ORACLE_SID lub usuń istniejący i wykonaj procedurę czyszczącą dla pokrewnych katalogów."
CRREWECH022="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/cmstore.log"
CRREWECH023="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/cmstore_trig.log"
CRREWECH024="Instalacja bazy danych SQL Server"
CRREWECH025="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/createSchema.log"
CRREWECH026="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/createUsers.log"
CRREWECH027="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/createFileGroup.log"
CRREWECH028="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/createFile.log"
CRREWECH029="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/cmstore.log"
CRREWECH030="Sprawdź komunikaty o błędach w pliku '$PWD'/logs/cmstore_proc.log"
CRREWECH031="Przed kontynuowaniem należy określić parametr Java_HOME"
CRREWECH032="Znaleziono plik set_env.bat i uruchomiono go"





CRREWMSGE001="CRREW4501E: Błąd - określono niepoprawną instancję"
CRREWMSGE002="CRREW4502E: Błąd - określono niepoprawną nazwę bazy danych"
CRREWMSGE003="CRREW4503E: Błąd - określono niepoprawną nazwę użytkownika bazy danych"
CRREWMSGE004="CRREW4504E: Błąd - określono niepoprawne hasło użytkownika bazy danych"
CRREWMSGE005="CRREW4505E: Błąd - schemat NF_SCHEMA nie może mieć wartości NULL"
CRREWMSGE006="CRREW4506E: Błąd - schemat STAR_SCHEMA  nie może mieć wartości NULL"
CRREWMSGE007="CRREW4507E: Błąd - nazwa użytkownika REP_USER nie może mieć wartości NULL"
CRREWMSGE008="CRREW4508E: Błąd - niepoprawny katalog obszaru tabel"
CRREWMSGE009="CRREW4509E: Błąd - START_YEAR nie może mieć wartości NULL"
CRREWMSGE010="CRREW4510E: Błąd - END_YEAR nie może mieć wartości NULL"
CRREWMSGE011="CRREW4511E: Błąd - CAL_TYPE nie może mieć wartości NULL"
CRREWMSGE012="CRREW4512E: Błąd - CAL_TYPE może mieć tylko wartość 1 lub 2"
CRREWMSGE013="CRREW4513E: Błąd podczas tworzenia bazy danych "
CRREWMSGE014="CRREW4514E: Błąd podczas tworzenia puli buforów"
CRREWMSGE015="CRREW4515E: Błąd podczas tworzenia obszarów tabel"
CRREWMSGE016="CRREW4516E: Błąd podczas tworzenia tabel tabeli CONFIG  "
CRREWMSGE017="CRREW4517E: Błąd podczas tworzenia tabel tabeli ODS"
CRREWMSGE018="CRREW4518E: Błąd podczas tworzenia tabel tabeli STAR"
CRREWMSGE019="CRREW4519E: Błąd podczas tworzenia widoków tabeli STAR"
CRREWMSGE020="CRREW4520E: Błąd podczas inicjowania tabel CONFIG "
CRREWMSGE021="CRREW4521E: Błąd podczas inicjowania tabel ODS"
CRREWMSGE022="CRREW4522E: Błąd podczas inicjowania tabel STAR"
CRREWMSGE023="CRREW4523E: Błąd podczas nadawania uprawnień"
CRREWMSGE024="CRREW4524E: Błąd - nie powiodło się kopiowanie plików"
CRREWMSGE025="CRREW4525E: Błąd zapełnienia tabeli wymiarów daty"
CRREWMSGE026="CRREW4526E: Błąd podczas tworzenia obiektów"
CRREWMSGE027="CRREW4527E: Błąd podczas importowania do bazy danych DB2"
CRREWMSGE028="CRREW4528E: Błąd - nazwa ORA_VERSION nie może mieć wartości NULL"
CRREWMSGE029="CRREW4529E: Błąd - wersja ORA_VERSION jest niepoprawna"
CRREWMSGE030="CRREW4530E: Błąd - określono niepoprawny katalog ORACLE_HOME"
CRREWMSGE031="CRREW4531E: Błąd - określono niepoprawny katalog ORACLE_HOME"
CRREWMSGE032="CRREW4532E: Błąd - określono niepoprawny katalog ORACLE_BASE"
CRREWMSGE034="CRREW4534E: Błąd - określono niepoprawny identyfikator SID"
CRREWMSGE035="CRREW4535E: Błąd - hasło konta SYS nie może mieć wartości NULL"
CRREWMSGE036="CRREW4536E: Błąd - hasło konta SYSTEMPWD nie może mieć wartości NULL"
CRREWMSGE037="CRREW4537E: Błąd - hasło konta SYSMANPWD nie może mieć wartości NULL"
CRREWMSGE038="CRREW4538E: Błąd - hasło konta DBSNMPPWD nie może mieć wartości NULL"
CRREWMSGE039="CRREW4539E: Błąd - nazwa konta DBA_USER nie może mieć wartości NULL"
CRREWMSGE040="CRREW4540E: Błąd - hasło konta DBA_PASSWORD nie może mieć wartości NULL"
CRREWMSGE041="CRREW4541E: Błąd - schemat NF_SCHEMA nie może mieć wartości NULL"
CRREWMSGE042="CRREW4542E: Błąd - schemat STAR_SCHEMA nie może mieć wartości NULL"
CRREWMSGE043="CRREW4543E: Błąd - nazwa użytkownika REP_USER nie może mieć wartości NULL"
CRREWMSGE044="CRREW4544E: Błąd - hasło REP_PASSWD nie może mieć wartości NULL"
CRREWMSGE046="CRREW4546E: Błąd - nazwa HOST_NAME nie może mieć wartości NULL"
CRREWMSGE053="CRREW4553E: Błąd - prawdopodobnie zmienna $ORACLE_SID już istnieje."
CRREWMSGE058="CRREW4558E: Błąd podczas tworzenia katalogu $DATA_HOME/oradata/$ORACLE_SID"
CRREWMSGE059="CRREW4559E: Błąd podczas tworzenia katalogu $ORACLE_BASE/admin/$ORACLE_SID/adump"
CRREWMSGE060="CRREW4560E: Błąd podczas tworzenia katalogu $ORACLE_BASE/admin/$ORACLE_SID/bdump"
CRREWMSGE061="CRREW4561E: Błąd podczas tworzenia katalogu $ORACLE_BASE/admin/$ORACLE_SID/cdump"
CRREWMSGE062="CRREW4562E: Błąd podczas tworzenia katalogu $ORACLE_BASE/admin/$ORACLE_SID/dpdump"
CRREWMSGE063="CRREW4563E: Błąd podczas tworzenia katalogu $ORACLE_BASE/admin/$ORACLE_SID/pfile"
CRREWMSGE064="CRREW4564E: Błąd podczas tworzenia katalogu $ORACLE_BASE/admin/$ORACLE_SID/udump"
CRREWMSGE065="CRREW4565E: Błąd podczas tworzenia katalogu $ORACLE_HOME/cfgtoollogs/dbca/$ORACLE_SID"
CRREWMSGE066="CRREW4566E: Błąd podczas tworzenia katalogu $ORACLE_HOME/dbs"
CRREWMSGE067="CRREW4567E: Błąd podczas tworzenia katalogu $ORACLE_BASE/flash_recovery_area"
CRREWMSGE068="CRREW4568E: Błąd podczas tworzenia katalogu $ORACLE_BASE/oradata/$ORACLE_SID"
CRREWMSGE069="CRREW4569E: Błąd podczas tworzenia bazy danych $ORACLE_SID"
CRREWMSGE070="CRREW4570E: Błąd podczas tworzenia plików produktu ORACLE 10g"
CRREWMSGE071="CRREW4571E: Błąd podczas tworzenia plików produktu ORACLE 11g"
CRREWMSGE072="CRREW4572E: Błąd podczas importowania do produktu ORACLE"
CRREWMSGE073="CRREW4573E: Błąd podczas włączania reguł ograniczających"
CRREWMSGE074="CRREW4574E: Błąd podczas włączania czynników wyzwalających"
CRREWMSGE075="CRREW4575E: Błąd podczas modyfikowania plików sterujących"
CRREWMSGE076="CRREW4576E: Błąd podczas tworzenia katalogu "
CRREWMSGE077="CRREW4577E: Błąd podczas tworzenia tabel"
CRREWMSGE078="CRREW4578E: Błąd podczas tworzenia czynników wyzwalających"
CRREWMSGE079="CRREW4579E: Błąd - niepoprawny katalog plików danych"
CRREWMSGE080="CRREW4580E: Błąd - schemat CS_SCHEMA nie może mieć wartości NULL"
CRREWMSGE081="CRREW4581E: Błąd - hasło CS_PASSWORD nie może mieć wartości NULL"
CRREWMSGE082="CRREW4582E: Błąd podczas tworzenia procedur"
CRREWMSGE083="CRREW4583E: Błąd podczas importowania do serwera SQL"
CRREWMSGE084="CRREW4584E: Błąd podczas łączenia"
CRREWMSGE085="CRREW4585E: Błąd podczas określania ustawień narodowych"
CRREWMSGE086="CRREW4586E: Błąd - niepoprawny typ kalendarza. Podaj 1 (gregoriański) lub 2 (ISO)"
CRREWMSGE087="CRREW4587E: Błąd - wartość START_YEAR jest równa NULL lub jest większa niż END_YEAR"
CRREWMSGE088="CRREW4588E: Błąd - wartość END_YEAR jest równa NULL lub jest mniejsza niż START_YEAR"
CRREWMSGE089="CRREW4589E: Błąd - nie podano schematu hurtowni danych.  Podaj poprawny schemat"
CRREWMSGE090="CRREW4590E: Błąd - wymiar daty jest uszkodzony, najmniejsza wartość daty jest różna od 1 stycznia"
CRREWMSGE091="CRREW4591E: Błąd - wymiar daty jest uszkodzony, największa wartość daty jest różna od 31 grudnia"
CRREWMSGE092="CRREW4592E: Błąd - kalendarz nieobsługiwany przez wymiar daty"
CRREWMSGE093="CRREW4593E: Błąd - argument wymiaru daty END_YEAR jest mniejszy niż MIN(YEAR) w dacie D_DATE"
CRREWMSGE094="CRREW4594E: Błąd - argument wymiaru daty START_YEAR jest większy niż MAX(YEAR) w dacie D_DATE"
CRREWMSGE095="CRREW4595E: Błąd - użytkownik REP_USER musi być różny od użytkownika DBUSER"
CRREWMSGE096="CRREW4596E: Błąd - katalog główny Java jest niepoprawny"
CRREWMSGE097="CRREW4597E: Błąd - plik set_env.bat nie istnieje lub jego uruchomienie nie powiodło się "






CRREW4501E="4501"
CRREW4502E="4502"
CRREW4503E="4503"
CRREW4504E="4504"
CRREW4505E="4505"
CRREW4506E="4506"
CRREW4507E="4507"
CRREW4508E="4508"
CRREW4509E="4509"
CRREW4510E="4510"
CRREW4511E="4511"
CRREW4512E="4512"
CRREW4513E="4513"
CRREW4514E="4514"
CRREW4515E="4515"
CRREW4516E="4516"
CRREW4517E="4517"
CRREW4518E="4518"
CRREW4519E="4519"
CRREW4520E="4520"
CRREW4521E="4521"
CRREW4522E="4522"
CRREW4523E="4523"
CRREW4524E="4524"
CRREW4525E="4525"
CRREW4526E="4526"
CRREW4527E="4527"
CRREW4528E="4528"
CRREW4529E="4529"
CRREW4530E="4530"
CRREW4531E="4531"
CRREW4532E="4532"
CRREW4534E="4534"
CRREW4535E="4535"
CRREW4536E="4536"
CRREW4537E="4537"
CRREW4538E="4538"
CRREW4539E="4539"
CRREW4540E="4540"
CRREW4541E="4541"
CRREW4542E="4542"
CRREW4543E="4543"
CRREW4544E="4544"
CRREW4546E="4546"
CRREW4553E="4553"
CRREW4558E="4558"
CRREW4559E="4559"
CRREW4560E="4560"
CRREW4561E="4561"
CRREW4562E="4562"
CRREW4563E="4563"
CRREW4564E="4564"
CRREW4565E="4565"
CRREW4566E="4566"
CRREW4567E="4567"
CRREW4568E="4568"
CRREW4569E="4569"
CRREW4570E="4570"
CRREW4571E="4571"
CRREW4572E="4572"
CRREW4573E="4573"
CRREW4574E="4574"
CRREW4575E="4575"
CRREW4576E="4576"
CRREW4577E="4577"
CRREW4578E="4578"
CRREW4579E="4579"
CRREW4580E="4580"
CRREW4581E="4581"
CRREW4582E="4582"
CRREW4583E="4583"
CRREW4584E="4584"
CRREW4585E="4585"
CRREW4586E="4586"
CRREW4587E="4587"
CRREW4588E="4588"
CRREW4589E="4589"
CRREW4590E="4590"
CRREW4591E="4591"
CRREW4592E="4592"
CRREW4593E="4593"
CRREW4594E="4594"
CRREW4595E="4595"
CRREW4596E="4596"
CRREW4597E="4597"

export CRREWPRMPT001 CRREWPRMPT002 CRREWPRMPT003 CRREWPRMPT004 CRREWPRMPT005 CRREWPRMPT006 CRREWPRMPT007 CRREWPRMPT008 CRREWPRMPT009 CRREWPRMPT010 CRREWPRMPT011 CRREWPRMPT012 CRREWPRMPT013 CRREWPRMPT014 CRREWPRMPT015 CRREWPRMPT016 CRREWPRMPT017 CRREWPRMPT018 CRREWPRMPT019 CRREWPRMPT020 CRREWPRMPT021 CRREWPRMPT022 CRREWPRMPT023 CRREWPRMPT024 CRREWPRMPT025 CRREWPRMPT026 CRREWPRMPT027 CRREWECH001 CRREWECH002 CRREWECH003 CRREWECH004 CRREWECH005 CRREWECH006 CRREWECH007 CRREWECH008 CRREWECH009 CRREWECH010 CRREWECH011 CRREWECH012 CRREWECH013 CRREWECH014 CRREWECH015 CRREWECH016 CRREWECH017 CRREWECH018 CRREWECH020 CRREWECH021 CRREWECH022 CRREWECH023 CRREWECH024 CRREWECH025 CRREWECH026 CRREWECH027 CRREWECH028 CRREWECH029 CRREWECH030 CRREWECH031 CRREWECH032 CRREWMSGE001 CRREWMSGE002 CRREWMSGE003 CRREWMSGE004 CRREWMSGE005 CRREWMSGE006 CRREWMSGE007 CRREWMSGE008 CRREWMSGE009 CRREWMSGE010 CRREWMSGE011 CRREWMSGE012 CRREWMSGE013 CRREWMSGE014 CRREWMSGE015 CRREWMSGE016 CRREWMSGE017 CRREWMSGE018 CRREWMSGE019 CRREWMSGE020 CRREWMSGE021 CRREWMSGE022 CRREWMSGE023 CRREWMSGE024 CRREWMSGE025 CRREWMSGE026 CRREWMSGE027 CRREWMSGE028 CRREWMSGE029 CRREWMSGE030 CRREWMSGE031 CRREWMSGE032 CRREWMSGE034 CRREWMSGE035 CRREWMSGE036 CRREWMSGE037 CRREWMSGE038 CRREWMSGE039 CRREWMSGE040 CRREWMSGE041 CRREWMSGE042 CRREWMSGE043 CRREWMSGE044 CRREWMSGE046 CRREWMSGE053 CRREWMSGE058 CRREWMSGE059 CRREWMSGE060 CRREWMSGE061 CRREWMSGE062 CRREWMSGE063 CRREWMSGE064 CRREWMSGE065 CRREWMSGE066 CRREWMSGE067 CRREWMSGE068 CRREWMSGE069 CRREWMSGE070 CRREWMSGE071 CRREWMSGE072 CRREWMSGE073 CRREWMSGE074 CRREWMSGE075 CRREWMSGE076 CRREWMSGE077 CRREWMSGE078 CRREWMSGE079 CRREWMSGE080 CRREWMSGE081 CRREWMSGE082 CRREWMSGE083 CRREWMSGE084 CRREWMSGE085 CRREWMSGE086 CRREWMSGE087 CRREWMSGE088 CRREWMSGE089 CRREWMSGE090 CRREWMSGE091 CRREWMSGE092 CRREWMSGE093 CRREWMSGE094 CRREWMSGE095 CRREWMSGE096 CRREWMSGE097 CRREW4501E CRREW4502E CRREW4503E CRREW4504E CRREW4505E CRREW4506E CRREW4507E CRREW4508E CRREW4509E CRREW4510E CRREW4511E CRREW4512E CRREW4513E CRREW4514E CRREW4515E CRREW4516E CRREW4517E CRREW4518E CRREW4519E CRREW4520E CRREW4521E CRREW4522E CRREW4523E CRREW4524E CRREW4525E CRREW4526E CRREW4527E CRREW4528E CRREW4529E CRREW4530E CRREW4531E CRREW4532E CRREW4534E CRREW4535E CRREW4536E CRREW4537E CRREW4538E CRREW4539E CRREW4540E CRREW4541E CRREW4542E CRREW4543E CRREW4544E CRREW4546E CRREW4553E CRREW4558E CRREW4559E CRREW4560E CRREW4561E CRREW4562E CRREW4563E CRREW4564E CRREW4565E CRREW4566E CRREW4567E CRREW4568E CRREW4569E CRREW4570E CRREW4571E CRREW4572E CRREW4573E CRREW4574E CRREW4575E CRREW4576E CRREW4577E CRREW4578E CRREW4579E CRREW4580E CRREW4581E CRREW4582E CRREW4583E CRREW4584E CRREW4585E CRREW4586E CRREW4587E CRREW4588E CRREW4589E CRREW4590E CRREW4591E CRREW4592E CRREW4593E CRREW4594E CRREW4595E CRREW4596E CRREW4597E 
